#!/bin/sh -e

SERVER_DIR=/usr/share/jabber/server
COMPONENT_DIR=/usr/share/jabber/component

for S in "$SERVER_DIR/*"; do
	[ -x "$S" ] || continue
	for C in "$COMPONENT_DIR/*"; do
		[ -x "$C" ] || continue
		port=`"$C" --port`
		host=`"$C" --host`
		password=`"$C" --password`
		"$S" "--port=$port" "--host=$host" "--password=$password"
	done
done
